Debian Bug report logs - #578690
ITP: mygui -- Library for creating GUIs for games and

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Ihor Kaharlichenko <madkinder@gmail.com>

Date: Wed, 21 Apr 2010 20:45:01 UTC

Owned by: Scott Howard <showard314@gmail.com>

Severity: wishlist

Fixed in version mygui/3.2.0-1

Done: Scott Howard <showard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#578690; Package wnpp. (Wed, 21 Apr 2010 20:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ihor Kaharlichenko <madkinder@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Wed, 21 Apr 2010 20:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ihor Kaharlichenko <madkinder@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: mygui -- Library for creating GUIs for games and 3D applications
Date: Wed, 21 Apr 2010 23:34:46 +0300
Package: wnpp
Severity: wishlist
Owner: Ihor Kaharlichenko <madkinder@gmail.com>

* Package name    : mygui
  Version         : 3.0.1
  Upstream Author : George Evmenov <altren@list.ru>
* URL             : http://my-gui.sf.net/
* License         : LGPL, MIT/X
  Programming Lang: C++
  Description     : Library for creating GUIs for games and 3D applications

MyGUI is a library for creating Graphical User Interfaces (GUIs)
for games and 3D applications.
The main goals of mygui are: speed, flexibility and ease of use.

The library uses its own batching subsystem which combines geometry.
It is also possible to extend it with custom render systems
or new subsystems.

The library supports plugins that allows to create dynamically loaded
custom controls or subsystems. Most subsystems are expandable with plugins
without the need to touch the core code. All resources and settings are
described in XML files. It is possible to load resources like fonts,
cursors, images, skins, etc. Forms (layouts) via dynamically
by using XML files.

The user interface is easy to use and uses delegates (Signals and slots)
for easy to use event handling.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ihor Kaharlichenko <madkinder@gmail.com>:
Bug#578690; Package wnpp. (Sat, 19 Feb 2011 18:02:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ihor Kaharlichenko <madkinder@gmail.com>. (Sat, 19 Feb 2011 18:02:26 GMT) Full text and rfc822 format available.

Message #10 received at 578690@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 578690@bugs.debian.org
Cc: control@bugs.debian.org
Subject: mygui: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:07:53 +0000
retitle 578690 RFP: mygui -- Library for creating GUIs for games and 3D applications
noowner 578690
thanks

Hi,

This is an automatic email to change the status of mygui back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting mygui, please send a mail to
<control@bugs.debian.org> with:

 retitle 578690 ITP: mygui -- Library for creating GUIs for games and 3D applications
 owner 578690 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <578690@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: mygui -- Library for creating GUIs for games and 3D applications' from 'ITP: mygui -- Library for creating GUIs for games and 3D applications' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:07:57 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Ihor Kaharlichenko <madkinder@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:07:58 GMT) Full text and rfc822 format available.

Owner recorded as Scott Howard <showard314@gmail.com>. Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Sun, 20 Jan 2013 21:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: mygui -- Library for creating GUIs for games and' from 'RFP: mygui -- Library for creating GUIs for games and 3D applications' Request was from Scott Howard <showard314@gmail.com> to control@bugs.debian.org. (Sun, 20 Jan 2013 21:51:08 GMT) Full text and rfc822 format available.

Message sent on to Ihor Kaharlichenko <madkinder@gmail.com>:
Bug#578690. (Sun, 20 Jan 2013 21:51:10 GMT) Full text and rfc822 format available.

Message #21 received at 578690-submitter@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 578690-submitter@bugs.debian.org, control@bugs.debian.org
Subject: some packaging work done
Date: Sun, 20 Jan 2013 16:48:32 -0500
owner 578690 !
retitle 578690 ITP: mygui -- Library for creating GUIs for games and
3D applications
thanks

I have a pretty much complete package here:
http://anonscm.debian.org/gitweb/?p=collab-maint/mygui.git

It build against libogre-dev (which is the 1.7 branch)

OpenMW (the project I was packaging it for) needs to link against ogre
1.8.1, but we can take care of that whenever ogre gets to it.

~Scott



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 30 Jan 2013 07:06:03 GMT) Full text and rfc822 format available.

Reply sent to Scott Howard <showard@debian.org>:
You have taken responsibility. (Sun, 07 Apr 2013 22:03:05 GMT) Full text and rfc822 format available.

Notification sent to Ihor Kaharlichenko <madkinder@gmail.com>:
Bug acknowledged by developer. (Sun, 07 Apr 2013 22:03:05 GMT) Full text and rfc822 format available.

Message #28 received at 578690-close@bugs.debian.org (full text, mbox):

From: Scott Howard <showard@debian.org>
To: 578690-close@bugs.debian.org
Subject: Bug#578690: fixed in mygui 3.2.0-1
Date: Sun, 07 Apr 2013 22:00:09 +0000
Source: mygui
Source-Version: 3.2.0-1

We believe that the bug you reported is fixed in the latest version of
mygui, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578690@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Scott Howard <showard@debian.org> (supplier of updated mygui package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Jan 2013 14:58:42 -0500
Source: mygui
Binary: libmygui-dev libmyguiengine3 libmyguiengine3-dbg libmygui.ogreplatform0debian0 libmygui.ogreplatform0debian0-dbg libmygui.openglplatform0debian0 libmygui.openglplatform0debian0-dbg mygui-doc
Architecture: source i386 all
Version: 3.2.0-1
Distribution: unstable
Urgency: low
Maintainer: Scott Howard <showard@debian.org>
Changed-By: Scott Howard <showard@debian.org>
Description: 
 libmygui-dev - Fast, simple and flexible GUI for OpenMW - development files
 libmygui.ogreplatform0debian0 - Fast, simple and flexible GUI - Ogre interface
 libmygui.ogreplatform0debian0-dbg - Fast, simple and flexible GUI Ogre - debugging symbols
 libmygui.openglplatform0debian0 - Fast, simple and flexible GUI - OpenGL interface
 libmygui.openglplatform0debian0-dbg - Fast, simple and flexible GUI OpenGL - debugging symbols
 libmyguiengine3 - Fast, simple and flexible GUI - shared library
 libmyguiengine3-dbg - Fast, simple and flexible GUI - debugging symbols
 mygui-doc  - API documentations for MyGUI library
Closes: 578690
Changes: 
 mygui (3.2.0-1) unstable; urgency=low
 .
   * Initial release (Closes: #578690)
Checksums-Sha1: 
 241868a129df14a3602761559aee0cde687d7fcf 1811 mygui_3.2.0-1.dsc
 be627504cd3723100baffa2c95dc7df38d2cd880 13581088 mygui_3.2.0.orig.tar.gz
 b16f42e282d3346fa7667417ed1f30f120a6af4f 70914 mygui_3.2.0-1.debian.tar.gz
 68b43d22a641ef771a9c54c167ebe162a206274e 129870 libmygui-dev_3.2.0-1_i386.deb
 fc4162b5fcac4a04c2fdb03286419e1e9f4c9303 826450 libmyguiengine3_3.2.0-1_i386.deb
 7fa375310ec8e1f14e34c254a57afe8459e9a701 6486630 libmyguiengine3-dbg_3.2.0-1_i386.deb
 c36a872a18f15c85b9ad74e8408a900375fd643c 59900 libmygui.ogreplatform0debian0_3.2.0-1_i386.deb
 1040fca4674ad5fe0c4d16aedc065eaa89ff6024 1110578 libmygui.ogreplatform0debian0-dbg_3.2.0-1_i386.deb
 3ce30a348b99651431744ea1d153287628dbfcce 56982 libmygui.openglplatform0debian0_3.2.0-1_i386.deb
 7fd57df59a1c4f7233321e5493ddd8919458c139 265890 libmygui.openglplatform0debian0-dbg_3.2.0-1_i386.deb
 b58caa8b7bbc821ae4c2d07f2af04d5e2d335266 6937326 mygui-doc_3.2.0-1_all.deb
Checksums-Sha256: 
 8de87e33a7f96c084dbb6b88d092c8122a4248da4473f60c858612c50103f68e 1811 mygui_3.2.0-1.dsc
 d11768c3ccb6d4c37bbf912a79cb652feeccf201e259fb8fca92016e1fdd24c7 13581088 mygui_3.2.0.orig.tar.gz
 994acb5ba7d4c6ede6b212529619871d5e271b92f3198fbf2ccb0dc99b71d43d 70914 mygui_3.2.0-1.debian.tar.gz
 64410a382196e7364d81d013fb83698e0342adf3277376be4ade8daa88a218ad 129870 libmygui-dev_3.2.0-1_i386.deb
 c4a00004dd374c8b486afdc23703d52d8556ddde68a60dc97ae99fb9a571a4fd 826450 libmyguiengine3_3.2.0-1_i386.deb
 b99b9e43ce2a9567a0aea0b409256daeb9a08456c05094f024ee99977fe359d5 6486630 libmyguiengine3-dbg_3.2.0-1_i386.deb
 12b0e0dbd8578e97dc30d909566407ab5dfb08cd280320867048d08077f457bf 59900 libmygui.ogreplatform0debian0_3.2.0-1_i386.deb
 adf08bf0d5c55d7e5263cbdd87e4edfc76c00748968f29e5e293635c1441a5c1 1110578 libmygui.ogreplatform0debian0-dbg_3.2.0-1_i386.deb
 2aadfe141c744241ed64a314b1f53ad1c521dc512b69423f8b7cf6c809ed47a0 56982 libmygui.openglplatform0debian0_3.2.0-1_i386.deb
 68f7cf43d1513c0b4c5e000c02ac2d2d6b5508c648d93a7a5b0dcec03ce41992 265890 libmygui.openglplatform0debian0-dbg_3.2.0-1_i386.deb
 33c65784ee32adc5d1499b1bf9656a2a65414922f1f6cf75b9f9db72cfe86d18 6937326 mygui-doc_3.2.0-1_all.deb
Files: 
 a20e21881887c4f109f45f6f67a05685 1811 libs optional mygui_3.2.0-1.dsc
 276ba11f7a015a6cac27b3c0410919f6 13581088 libs optional mygui_3.2.0.orig.tar.gz
 0c56ceedc58ac1f415b1b1020ae2da1b 70914 libs optional mygui_3.2.0-1.debian.tar.gz
 9e20807e6679075c721cee3161f6cbc7 129870 libdevel optional libmygui-dev_3.2.0-1_i386.deb
 3db97b57629070b67e7ff2f1c4213066 826450 libs optional libmyguiengine3_3.2.0-1_i386.deb
 f53370af10f900797b363ead294668e3 6486630 debug extra libmyguiengine3-dbg_3.2.0-1_i386.deb
 f5ac4bf2cfe628a73a11f3bd4f009793 59900 libs optional libmygui.ogreplatform0debian0_3.2.0-1_i386.deb
 f1066b0231d8e6ae409873b4846f915d 1110578 debug extra libmygui.ogreplatform0debian0-dbg_3.2.0-1_i386.deb
 ceca42eca7723bdf78abc75624a1ae3a 56982 libs optional libmygui.openglplatform0debian0_3.2.0-1_i386.deb
 947ebb5bb3e41c6b089ddd78832c607e 265890 debug extra libmygui.openglplatform0debian0-dbg_3.2.0-1_i386.deb
 0b0aede76ded620ec0b83d46a037268e 6937326 doc optional mygui-doc_3.2.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAlEIkJkACgkQuqVp0MvxKmodtgCcD1wkQhhzFHuFkn/2BcTu5k/Z
qAAAoLxN6AdNOke5a7LFSWdOreYEanjx
=9YXb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 May 2013 07:32:28 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:23:29 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.